Subject: [PATCH] arm: armv7: perf: fix armv7 ref-cycles error

From: [email-masked] (Will Deacon)
Date: Wed, 8 Oct 2014 14:38:03 +0100

On Wed, Oct 08, 2014 at 02:31:47PM +0100, gregkh at linuxfoundation.org wrote:
> On Wed, Oct 08, 2014 at 10:17:41AM +0100, Will Deacon wrote:
> > On Wed, Oct 08, 2014 at 04:06:12AM +0100, zhangzhiqiang wrote:
> > > hi all,
> > > ----------------------------------------
> > > 
> > > ref-cycles event is specially to Intel core, but can still used in arm architecture
> > > with the wrong return value with 3.10 stable. for instance:
> > > 
> > >  perf stat -e ref-cycles sleep 1
> > > 
> > >  Performance counter stats for 'sleep 1':
> > > 
> > >   	0 ref-cycles
> > > 
> > >        1.002381916 seconds time elapsed
> > > 
> > > this patch fix the bug and make it return NOT SUPPORTED
> > > distinctly.
> > > 
> > > In upstream this bug has been fixed by other way(not primary for the bug), which changes more than one file
> > > and more than 1000 lines. the primary commit is 6b7658ec8a100b608e59e3cde353434db51f5be0.
> > > besides we can not simply cherry-pick.
> > 
> > I thought I saw Greg pick this up the other day?
> 
> Yes, it's in 3.16.4, did I do something wrong by accepting it?

Nah, it's a trivial patch that I struggle to get excited about. I'm just not
sure why it's being sent again, after you already accepted it.

Will